# class PlpDirent

A class, representing a directory entry of the Psion. More...

Definition | `#include <plpdirent.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- PlpDirent ()
- PlpDirent (const PlpDirent &d)
- PlpDirent (const u_int32_t size, const u_int32_t attr, const u_int32_t tHi, const u_int32_t tLo, const char * const name)
- ~PlpDirent ()
- u_int32_t getSize ()
- u_int32_t getAttr ()
- u_int32_t getUID (int uididx)
- PlpUID & getUID ()
- const char * getName ()
- PsiTime getPsiTime ()
- void setName (const char *str)
- PlpDirent & operator= (const PlpDirent &e)
- friend std::ostream & operato ()

## Detailed Description

A class, representing a directory entry of the Psion. Objects of this type are used by rfsv::readdir , rfsv::dir and rfsv::fgeteattr for returning the entries of a directory.

PlpDirent ()

### PlpDirent

Default constructor

PlpDirent (const PlpDirent &d)

### PlpDirent

A copy constructor. Mainly used by STL container classes.

Parameters:

d | The object to be used as initializer.

PlpDirent (const u_int32_t size, const u_int32_t attr, const u_int32_t tHi, const u_int32_t tLo, const char * const name)

### PlpDirent

Initializing Constructor

~PlpDirent ()

### ~PlpDirent

Default destructor.

u_int32_t getSize ()

### getSize

Retrieves the file size of a directory entry.

Returns: The file size in bytes.

u_int32_t getAttr ()

### getAttr

Retrieves the file attributes of a directory entry.

Returns: The generic attributes ( rfsv:file_attribs ).

u_int32_t getUID (int uididx)

### getUID

Retrieves the UIDs of a directory entry. This method returns always 0 with a Series3.

Parameters:

uididx | The index of the UID to retrieve (0 .. 2).

Returns: The selected UID or 0 if the index is out of range.

PlpUID & getUID ()

### getUID

Retrieves the PlpUID object of a directory entry.

Returns: The PlpUID object.

const char * getName ()

### getName

Retrieve the file name of a directory entry.

Returns: The name of the file.

PsiTime getPsiTime ()

### getPsiTime

Retrieve the modification time of a directory entry.

Returns: A PsiTime object, representing the time.

void setName (const char *str)

### setName

Set the file name of a directory entry. This is currently unused. It does NOT change the name of the corresponding file on the Psion.

Parameters:

str | The new name of the file.

PlpDirent & operator= (const PlpDirent &e)

### operator=

Assignment operator Mainly used by STL container classes.

Parameters:

e | The new value to assign.

Returns: The modified object.

friend std::ostream & operato ()

### operato

Prints the object contents. The output is in human readable similar to the output of a "ls" command.

- Author: Fritz Elfert <felfert@to.com>
- Generated: rrt on drom on Mon Nov 26 16:06:15 2007, using kdoc 2.0a54.